Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.management
Class JoinPointType

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.management.JoinPointType

    public final class JoinPointType

extends Object

Enumeration for all join point types.

Author:
  Jonas Bonr

Field Summary
`static JoinPointType` | `CONSTRUCTOR_CALL`
`static int` | `CONSTRUCTOR_CALL_INT`
`static JoinPointType` | `CONSTRUCTOR_EXECUTION`
`static int` | `CONSTRUCTOR_EXECUTION_INT`
`static JoinPointType` | `FIELD_GET`
`static int` | `FIELD_GET_INT`
`static JoinPointType` | `FIELD_SET`
`static int` | `FIELD_SET_INT`
`static JoinPointType` | `HANDLER`
`static int` | `HANDLER_INT`
`static JoinPointType` | `METHOD_CALL`
`static int` | `METHOD_CALL_INT`
`static JoinPointType` | `METHOD_EXECUTION`
`static int` | `METHOD_EXECUTION_INT`
`static JoinPointType` | `STATIC_INITIALIZATION`
`static int` | `STATIC_INITIALIZATION_INT`

Method Summary
`boolean` | `equals(Object o)`
`static JoinPointType` | `fromInt(int asInt)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### METHOD_EXECUTION_INT

    public static final int METHOD_EXECUTION_INT

See Also:
  Constant Field Values

### METHOD_CALL_INT

    public static final int METHOD_CALL_INT

See Also:
  Constant Field Values

### CONSTRUCTOR_EXECUTION_INT

    public static final int CONSTRUCTOR_EXECUTION_INT

See Also:
  Constant Field Values

### CONSTRUCTOR_CALL_INT

    public static final int CONSTRUCTOR_CALL_INT

See Also:
  Constant Field Values

### FIELD_SET_INT

    public static final int FIELD_SET_INT

See Also:
  Constant Field Values

### FIELD_GET_INT

    public static final int FIELD_GET_INT

See Also:
  Constant Field Values

### HANDLER_INT

    public static final int HANDLER_INT

See Also:
  Constant Field Values

### STATIC_INITIALIZATION_INT

    public static final int STATIC_INITIALIZATION_INT

See Also:
  Constant Field Values

### METHOD_EXECUTION

    public static final JoinPointType METHOD_EXECUTION

### METHOD_CALL

    public static final JoinPointType METHOD_CALL

### CONSTRUCTOR_EXECUTION

    public static final JoinPointType CONSTRUCTOR_EXECUTION

### CONSTRUCTOR_CALL

    public static final JoinPointType CONSTRUCTOR_CALL

### FIELD_SET

    public static final JoinPointType FIELD_SET

### FIELD_GET

    public static final JoinPointType FIELD_GET

### HANDLER

    public static final JoinPointType HANDLER

### STATIC_INITIALIZATION

    public static final JoinPointType STATIC_INITIALIZATION

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### fromInt

    public static JoinPointType fromInt(int asInt)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.